// --------------------------------------------------------
// Copyright (c)
//
// contributions by author
//                  author@somewhere.net
// maintained by    CEA LIST
//                  info-list@cea.fr

// --------------------------------------------------------
// Code generated by Papyrus C++
// --------------------------------------------------------

#define periodicPublisherCompdef_PeriodicPublisher_impl_BODY

/************************************************************
 PeriodicPublisher_impl class body
 ************************************************************/

// include associated header file
#include "periodicPublisherCompdef/PeriodicPublisher_impl.h"

// Derived includes directives
#include "rclcpp/rclcpp.hpp"

namespace periodicPublisherCompdef {

// static attributes (if any)

/**
 * 
 * @param options 
 */
PeriodicPublisher_impl::PeriodicPublisher_impl(
    rclcpp::NodeOptions /*in*/options) :
    PeriodicPublisher(options) {
}

/**
 * 
 */
void PeriodicPublisher_impl::fPublishing() {
}

} // of namespace periodicPublisherCompdef

/************************************************************
 End of PeriodicPublisher_impl class body
 ************************************************************/
